Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.converter
Class WordToHtmlConverter

    java.lang.Object
      org.apache.poi.hwpf.converter.AbstractWordConverter
          org.apache.poi.hwpf.converter.WordToHtmlConverter

    public class WordToHtmlConverter

extends AbstractWordConverter

Converts Word files (95-2007) into HTML files.

This implementation doesn't create images or links to them. This can be changed by overriding `AbstractWordConverter.processImage(Element, boolean, Picture)` method.

Author:
  Sergey Vladimirov (vlsergey {at} gmail {dot} com)

Constructor Summary
`WordToHtmlConverter(org.w3c.dom.Document document)` Creates new instance of `WordToHtmlConverter`.
`WordToHtmlConverter(HtmlDocumentFacade htmlDocumentFacade)`

Method Summary
`org.w3c.dom.Document` | `getDocument()`
`static void` | `main(java.lang.String[] args)` Java main() interface to interact with `WordToHtmlConverter`
`void` | `processDocumentPart(HWPFDocumentCore wordDocument, Range range)`

Methods inherited from class org.apache.poi.hwpf.converter.AbstractWordConverter
`getFontReplacer, getPicturesManager, processDocument, setFontReplacer, setPicturesManager`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WordToHtmlConverter

    public WordToHtmlConverter(org.w3c.dom.Document document)

  Creates new instance of `WordToHtmlConverter`. Can be used for output several `HWPFDocument`s into single HTML document.

  Parameters:
    `document` - XML DOM Document used as HTML document

### WordToHtmlConverter

    public WordToHtmlConverter(HtmlDocumentFacade htmlDocumentFacade)

Method Detail

### main

    public static void main(java.lang.String[] args)

  Java main() interface to interact with `WordToHtmlConverter`

  Usage: WordToHtmlConverter infile outfile

  Where infile is an input .doc file ( Word 95-2007) which will be rendered as HTML into outfile

### getDocument

    public org.w3c.dom.Document getDocument()

  Specified by:
    `getDocument` in class `AbstractWordConverter`

### processDocumentPart

    public void processDocumentPart(HWPFDocumentCore wordDocument,
                                    Range range)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD